use std::{fs::File, io::Write};

use cowgen::{CowError, Element, Text};

fn main() -> Result<(), CowError> {
    let out = cowgen::Template::new(
        include_bytes!("cow2.png").to_vec(),
        vec![Element::new(
            cowgen::Media::Text(Text::new(
                "Hello",
                "/usr/share/fonts/TTF/OpenSans-ExtraBold.ttf",
                12.0,
                (0, 0, 0),
            )),
            (0, 0),
            (64, 64),
        )],
    )?
    .produce();
    let mut f = File::create("out.png").unwrap();
    f.write_all(&out).unwrap();
    f.flush().unwrap();
    Ok(())
}
